<?php
/*
 * Template Name: Eventin Certificate
 *  */

get_header();
// Required scripts to generate Certificate PDF
wp_enqueue_script('html-to-image');
wp_enqueue_script('etn-pdf-gen');

while (have_posts()) : the_post(); ?>

<div class="etn-certificate-container">
    <div class="etn-pdf-content" id="etn-pdf-container">
        <?php the_content(); ?>
    </div>
    <div class="etn-control-header">
        <button id="etn-certificate-download" class="etn-certificate-download etn-btn"><?php echo esc_html__('Download Certificate', 'eventin-pro'); ?></button>
    </div>
</div>

<?php     
endwhile;
get_footer(); ?>