<?php
$license                = \Etn_Pro\Utils\License\License::instance();
$settings               = get_option( "etn_premium_marketplace" );
$selected_market_place  = empty( $settings ) ? "" : $settings;
?>
<!-- header start -->
<?php
    include_once( \Wpeventin::plugin_dir() . "templates/layout/header.php" );
?>

<div class="etn-settings-dashboard etn-license-page-wrap">
    <div class="etn-settings-tab">
        <ul class="nav-tab-wrapper etn-tab">
            <li class="attr-active">
                <a href="#themewinter_user" class="nav-tab" id="themewinter_user" data-id="tab1"> 
                    <img src="<?php echo esc_url(ETN_PRO_ASSETS . 'images/tw_icon.svg'); ?>" alt="<?php echo esc_attr__('Themewinter Icon', 'eventin-pro'); ?>">
                    <?php echo esc_html('Themewinter User'); ?>
                </a>
            </li>
            <li>
                <a href="#codecanyon_user" class="nav-tab" id="codecanyon_user" data-id="tab2"> 
                    <img src="<?php echo esc_url(ETN_PRO_ASSETS . 'images/cc_icon.svg'); ?>" alt="<?php echo esc_attr__('CodeCanyon Icon', 'eventin-pro'); ?>">
                    <?php echo esc_html('CodeCanyon User'); ?>						
                </a>
            </li>
        </ul>
    </div>
    <div class="attr-tab-content etn-license-module-parent">
        <div class="attr-tab-pane" data-id="tab1" id="themewinter_user">
            <?php
                if( $license->status() !== 'valid' ){
                    ?>
                    <div class="etn-license-content">                       
                        <ul class="etn-license-link">
                            <li><?php echo esc_html__("If you don", "eventin-pro"); ?>&#039;<?php echo esc_html__("t yet have a license key, get ", "eventin-pro"); ?><a href="https://themewinter.com/eventin" target="_blank"><?php echo esc_html__("Eventin Pro", "eventin-pro"); ?></a><?php echo esc_html__(" now.", "eventin-pro");?></li>
                            <li><?php echo esc_html__( "Log in to your ", "eventin-pro" ); ?><a href="https://themewinter.com/purchase-history/" target="_blank"><?php echo esc_html__("Themewinter account", "eventin-pro"); ?></a><?php echo esc_html__(" to get your license key.", "eventin-pro");?></li>
                            <li><?php echo esc_html__("Copy the Eventin license key from your account and paste it below.", "eventin-pro");?></li>
                            <li><?php echo esc_html__("Follow the ", "eventin-pro");?> 
                                <a href="https://support.themewinter.com/docs/plugins/plugin-docs/general-settings-eventin/license/" target="_blank"><?php echo esc_html__("Official Documentation", "eventin-pro"); ?></a>
                                <?php echo esc_html__("for details ", "eventin-pro");?> 
                            </li>
                        </ul>
                    </div>

                    <div class="etn-license-item">
                        <form action="" method="POST" class="etn-admin-form" id="etn-admin-license-form">
                            <div class="etn_tab_wraper">
                                <label class="etn-admin-option-text-etn-license-key" for="etn-admin-option-text-etn-license-key" >
                                    <h3 class="etn-license-title"><?php echo esc_html__("Your License Key", "eventin-pro");?></h3>
                                </label>
                                <p>
                                    <?php echo esc_html__("Enter your license key here, to get auto updates.", "eventin-pro");?>
                                </p>
                                
                                <div class="etn-admin-input-text  etn-license-input-box">
                                    <input
                                        type="text"
                                        class="attr-form-control"
                                        id="etn-admin-option-text-etn-license-key"
                                        aria-describedby="etn-admin-option-text-help-etn-license-key"
                                        placeholder="Please insert your license key here"
                                        name="elementkit_pro_license_key"
                                        value=""
                                    >
                                </div>                                
                               <div class="etn-label-item">
                                    <div class="etn-license-input-box">
                                        <input type="hidden" name="type" value="activate" />
                                        <button class="attr-btn btn-license-activate attr-btn-primary etn-admin-license-form-submit" type="submit" >
                                            <div class="etn-spinner"></div>
                                            <?php echo esc_html__("Activate License", "eventin-pro");?>
                                        </button>
                                    </div>
                                    <div class="etn-license-input-box">
                                        
                                        <a target="_blank" class="etn-btn etn-btn-save" href="https://themewinter.com/purchase-history/">
                                            <?php echo esc_html__("Manage License", "eventin-pro");?>
                                        </a>
                                    </div>
                               </div>
                                <div class="etn-license-form-result etn-license-input-box">
                                    <p class="attr-alert etn-pb-0 etn-mb-0">
                                        <?php echo esc_html__("Still can", "eventin-pro");?>&#039;<?php echo esc_html__("t find your license key? ", "eventin-pro");?>
                                        <a target="_blank" href="https://themewinter.com/support/"><?php echo esc_html__("Knock us here!", "eventin-pro");?></a>
                                    </p>
                                </div>
                                <div class="etn-license-result-box"></div>                                 
                            </div>
                        </form>
                    </div>

                    <?php
                } else {
                    ?>
                    <div class="etn-license-form-result">
                        <p class="attr-alert attr-alert-success">
                            <?php 
                            echo esc_html__("Congratulations! Your product is activated for '". parse_url(home_url(), PHP_URL_HOST) ."'.", 'eventin-pro');
                            ?>
                        </p>
                        <a href="#" class='etn-btn etn-btn-secondary etn-revoke-license-text'><?php echo esc_html__('Revoke License', 'eventin-pro');?></a>
                    </div>
                    <?php
                }
            ?>
        </div>
        <div class="etn-settings-section attr-tab-pane" data-id="tab2" id="codecanyon_user">
            <div class="etn-license-content">
                <p>
                    <?php echo esc_html__("No license key is required for Codecanyon users. You can only use ", "eventin-pro");?>
                    <a href="<?php echo esc_url("https://envato.com/market-plugin/");?>"><?php echo esc_html__("Envato Market"); ?></a>
                    <?php echo esc_html__(" plugin to get auto update of premium version ", "eventin-pro");?>
                </p>
            </div>
        </div>
    </div>
</div>