import { Alert, Spin } from 'antd'
import React from 'react'

function Spinner({ tip, msg, desc, type, wrapperClassName }) {
  return (
    <Spin tip={tip} wrapperClassName={wrapperClassName}>
      <Alert
        message={msg}
        description={desc}
        type={type}
      />
    </Spin>
  )
}

export default Spinner