import React from "react";

const StepIcon = ({ text }) => {
  return (
    <>
      {/* For previous step =========================================================  */}
      {text == "prev" ? (
        <svg
          width="24"
          height="24"
          viewBox="0 0 24 24"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <circle cx="12" cy="12" r="12" fill="#5D5DFF" />
          <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M17.7077 8.29352C18.0979 8.68439 18.0974 9.31755 17.7065 9.70773L11.703 15.7007C11.3123 16.0906 10.6796 16.0903 10.2894 15.7L7.29289 12.7036C6.90237 12.3131 6.90237 11.6799 7.29289 11.2894C7.68342 10.8988 8.31658 10.8988 8.70711 11.2894L10.9971 13.5794L16.2935 8.29227C16.6844 7.90209 17.3176 7.90265 17.7077 8.29352Z"
            fill="white"
          />
        </svg>
      ) : text == "cur" ? (
        // For current step ===========================================================================
        <svg
          width="24"
          height="24"
          viewBox="0 0 24 24"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <circle cx="12" cy="12" r="12" fill="#5D5DFF" />
          <circle cx="12" cy="12" r="4" fill="white" />
        </svg>
      ) : (
        // For Next Step ===================================================================================
        <svg
          width="24"
          height="24"
          viewBox="0 0 24 24"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <circle cx="12" cy="12" r="11" stroke="#D8D9DF" strokeWidth="2" />
        </svg>
      )}
    </>
  );
};

export default StepIcon;
