'use strict';
jQuery(document).ready(function ($) {

    //Added active class in the wpcafe menu in dokan leftmenu
    const _pathname = window.location.pathname.toString();
    const create_event = '/eventin/create_event/';
    const vendor_event = '/eventin/vendor_event/';
    if (_pathname.includes(create_event) || _pathname.includes(vendor_event)) {
        $('.dokan-dashboard-menu').find('li.eventin').addClass('active');
    }

    /*================================
        speaker slider
    ===================================*/
    var $scope = $(".speaker_shortcode_slider");
    if ($scope.length > 0) {
        $($scope).each(function () {
            var $this = $(this);
            speaker_sliders_pro($, $this);
        });
    }

    /*================================
        speaker slider
    ===================================*/
    var $scope = $(".event-slider-shortcode");
    event_sliders_pro($, $scope);

    /*================================
    Event accordion
    ===================================*/

    $(".etn-content-item > .etn-accordion-heading").on("click", function (e) {
        e.preventDefault();
        if ($(this).hasClass("active")) {
            $(this).removeClass("active");
            $(this).siblings(".etn-acccordion-contents").slideUp(200);
            $(".etn-content-item > .etn-accordion-heading i")
                .removeClass("fa-minus")
                .addClass("fa-plus");
        } else {
            $(".etn-content-item > .etn-accordion-heading i")
                .removeClass("fa-minus")
                .addClass("fa-plus");
            $(this).find("i").removeClass("fa-plus").addClass("fa-minus");
            $(".etn-content-item > .etn-accordion-heading").removeClass("active");
            $(this).addClass("active");
            $(".etn-acccordion-contents").slideUp(200);
            $(this).siblings(".etn-acccordion-contents").slideDown(200);
        }
    });

    /*================================
      // countdown 
    ===================================*/
    var main_block = $(".count_down_block")
    if (main_block.length > 0) {
        count_down($, main_block);
    }

    /*================================
      // advanced search toogle 
    ===================================*/
    if ($('.etn-filter-icon').length > 0) {
        $('.etn-filter-icon').on('click', function () {
            $(this).parents().find('.etn_event_inline_form_bottom').slideToggle();
        })
    }



    /*================================
       // Certificate generate
     ===================================*/
    // add wrapper class in certificate block
    // $( ".etn-certificate-wrap" ).wrap( "<div class='etn-certificate-wrapper'></div>" );
    if ($('.etn-certificate-download').length > 0) {
        $('.etn-certificate-download').on('click', function (e) {
            e.preventDefault();
            makePDF();
        });
    };

});

// certificate generate function
function makePDF() {
    var node = document.getElementsByClassName('etn-pdf-content')[0];
    htmlToImage.toPng(node).then(function (dataUrl) {
        var img = new Image();
        img.src = dataUrl;
        // document.body.appendChild(img);
        const jsPDF = window.jspdf.jsPDF;
        var doc = new jsPDF({
            orientation: 'p',
            unit: 'px',
            format: 'a4',
        });
        doc.addImage(img, 'PNG', 2, 2, 445, 0);
        // window.open(doc.output("bloburl")) 
        doc.save();

    })["catch"](function (error) {
        console.error('oops, something went wrong!', error);
    });
};


// countdown function
function count_down($, $scope) {
    var $container = $scope.find('.etn-event-countdown-wrap');
    var date_texts = $container.data('date-texts');

    var day_text = date_texts.day;
    var hour_text = date_texts.hr;
    var min_text = date_texts.min;
    var second_text = date_texts.sec;
    var days_text = date_texts.days;
    var hours_text = date_texts.hrs;
    var mins_text = date_texts.mins;
    var seconds_text = date_texts.secs;

    if ($container.length > 0) {
        var targetDate = $container.data('start-date');
        var targetNode = $scope.find(".etn-countdown-parent");
        $(targetNode).countdown({
            date: targetDate,
            day: day_text,
            days: days_text,
            hour: hour_text,
            hours: hours_text,
            minute: min_text,
            minutes: mins_text,
            second: second_text,
            seconds: seconds_text,
            hideOnComplete: true
        }, function (container) {
            $scope.html("Expired");
        });
    }
}

// print order details
function etn_pro_pirnt_content_area(divContents) {
    "use strict";
    var mywindow = window.open('', 'PRINT', 'height=400,width=800');
    mywindow.document.write(
        '<style type="text/css">' +
        '.woocommerce-column--1, .woocommerce-column--2{display:inline-block; float: none; width: 300px; vertical-align: top;}  .woocommerce-table tr th{text-align:left; width: 300px; }' +
        '</style>');

    var contentToPrint = document.getElementsByClassName(divContents)[0].innerHTML;
    contentToPrint = contentToPrint.split("<div class=\"extra-buttons\">")[0];
    mywindow.document.write('</head><body >');
    mywindow.document.write(contentToPrint);
    mywindow.document.write('</body></html>');
    mywindow.document.close(); // necessary for IE >= 10
    mywindow.focus(); // necessary for IE >= 10*/
    mywindow.print();
    return true;
}

//download pdf
function etn_pro_download_pdf() {
    var contentToPrint = document.getElementsByClassName("woocommerce-order")[0].innerHTML;
    var source = contentToPrint.split("<div class=\"extra-buttons\">")[0];
    var filename = "invoice";
    jQuery('.woocommerce-order').html(source);
    var divToPrint = jQuery('.woocommerce-order')[0];

    // create custom canvas for a better resolution
    var w = 1000;
    var h = 1000;
    var canvas = document.createElement('canvas');
    canvas.width = w * 5;
    canvas.height = h * 5;
    canvas.style.width = w + 'px';
    canvas.style.height = h + 'px';
    var context = canvas.getContext('2d');
    context.scale(5, 5);

    html2canvas(divToPrint, {
        scale: 4,
        dpi: 288,
        onrendered: function (canvas) {
            var data = canvas.toDataURL('image/png', 1);
            var docDefinition = {
                content: [{
                    image: data,
                    width: 500
                }]
            };
            pdfMake.createPdf(docDefinition).download(filename + ".pdf");
        }
    });
    window.setTimeout(function () {
        location.reload()
    }, 500);

}

function getSwiperOption({ count, space, autoplays }) {
    return {
        slidesPerView: count,
        spaceBetween: space,
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
        pagination: {
            el: '.swiper-pagination',
            clickable: true,
        },
        autoplay: autoplays,

        paginationClickable: true,
        breakpoints: {
            320: {
                slidesPerView: 1,
            },
            600: {
                slidesPerView: 2,
            },
            1024: {
                slidesPerView: count,
            }
        }
    }
}

// speaker sliders pro
function speaker_sliders_pro($, $scope) {
    var $container = $scope.find('.etn-speaker-slider');
    var count = $container.data('count');
    var space = $container.data('space');
    var autoplay = $container.data('autoplay');
    var autoplays = (autoplay == 'yes') ? true : false;

    if ($container.length > 0) {
        $($container).each(function (index, element) {
            var mySwiper = new Swiper(element, getSwiperOption({ count, space, autoplays }))
        });
    }
}
// Event sliders pro
function event_sliders_pro($, $scope) {
    var $container = $scope.find('.etn-event-slider');
    var count = $container.data('count');
    var autoplay = $container.data('autoplay');
    var autoplays = (autoplay == 'yes') ? true : false;
    if ($container.length > 0) {
        $($container).each(function (index, element) {
            var mySwiper = new Swiper(element, getSwiperOption({ count, space: 0, autoplays }))
        });
    }
}
