import { Checkbox } from 'antd'
import {useState, useContext} from 'react'
import EventContext from '../../context/EventContext';
const { __ } = wp.i18n;


function TicketStatusCheck({attendee, ticket, text, attendeeData}) {
    const { state, onChangeFormData, onTicketStatusChangeHandler } = useContext(EventContext);
    const {} = state;

    const onChange = (e) => {
        const status = e.target.checked ? 'used' : 'unused'
        onTicketStatusChangeHandler({attendee , ticket, status, attendeeData})
      };

    const label = text; //`${checked ? 'Used' : 'Unused'}`;
  return (
    <>
        <Checkbox
            checked={text?.toLowerCase() == "used" ? true : false}
            onChange={onChange}
          >
            {__(label,'eventin-pro')}
          </Checkbox>
    </>
  )
}

export default TicketStatusCheck