import { Dayjs } from 'dayjs';
import dayjsGenerateConfig from 'rc-picker/lib/generate/dayjs';
import generatePicker from 'antd/es/date-picker/generatePicker';
// import "antd/dist/antd.css";


const { TimePicker } = generatePicker(dayjsGenerateConfig);


const Picker = React.forwardRef((props, ref) => {
  return <TimePicker {...props} picker="time" format={'h:mm A'} mode={undefined} ref={ref} use12Hours={true} />;
});

Picker.displayName = 'TimePicker';

export default Picker;