import * as React from 'react';
import RangePicker from './RangePicker';


const TimePicker = React.forwardRef((props, ref) => {
  return <RangePicker {...props} picker="time"  format={'h:mm A'} mode={undefined} ref={ref} use12Hours={true} />;
});

TimePicker.displayName = 'TimePicker';

export default TimePicker;