import actions from "../actions/eventAction";

const EventReducer = (state, action) => {
  switch (action.type) {
    case actions.NEXT_STEP:
      return {
        ...state,
        step: action.value
      };
    
      case actions.SET_CATEGORY_DATA:
      return {
        ...state,
        categoryData: action.value,
      };

      case actions.SET_TAGS_DATA:
      return {
        ...state,
        tags: action.value
      };
      
      case actions.SET_SCHEDULE_DATA:
      return {
        ...state,
        scheduleData: action.value,
      };
      
      case actions.SET_ORGANIZER_DATA:
      return {
        ...state,
        organizerData: action.value,
      };
     
      case actions.SET_TIME_ZONE_DATA:
      return {
        ...state,
        timezone: action.value,
      };
     
      case actions.ON_CHANGE_FORM_DATA:
      return {
        ...state,
        [action.name]: action.value
      };

      case actions.SET_SOCIAL_LINKS:
      return {
        ...state,
        etn_event_socials: action.value
      };
      
      case actions.SET_EVENT_DATA:
      return {
        ...state,
        eventData: action.value
      };
    
    default:
      return {...state}
  }
};

export default EventReducer;